<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous"></link>

    <link rel="StyleSheet" type="text/css" href="../../resources/css/EstiloAcessoRestrito.css" media="screen"></link>

    <h:head>
        <title>Livraria TMG</title>
    </h:head>

    <h:body>

        <nav class="navbar navbar-expand-lg navbar-light bg-light">
            <a href="../index.xhtml"><img src="../../resources/img/Logo.png" width="150px"></img></a> &nbsp; <h1 class="p1">Livraria TMG</h1>          


            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">

                    &nbsp;
                    &nbsp;

                    <li class="nav-item active" >
                        <a class="nav-link" href="../CadastroUsuarios/CadastraUsuarios.xhtml">Cadastro de Usuários <span class="sr-only">(current)</span></a>
                    </li> 

                    <!--
                    <li class="nav-item active" >
                        <a class="nav-link" href="PesquisaLivros.xhtml">Listar Livros<span class="sr-only">(current)</span></a>
                    </li>
                    -->


                </ul>

                <form class="form-inline my-2 my-lg-0">

                    <a href="../index.xhtml"><h:graphicImage library="img" title="Voltar" name="voltar.png"></h:graphicImage></a>

                    &nbsp;
                    &nbsp;

                    <input class="form-control form-control-lg"  type="search" placeholder="Pesquisar" aria-label="pesquisa"></input>


                    <a href="#"><img src="../../resources/img/lupa.png" width="30px;" title="Pesquisar"></img></a>

                    &nbsp;
                    &nbsp;

                    <a href="../../index.xhtml"><img src="../../resources/img/exit.png" width="32px;" title="Sair"></img></a>
                </form>
            </div>
        </nav>

        <hr></hr>

        <center>  

            <h1 class="p2"> Bem vindo ao Cadastro de Livros.</h1>

            <br></br>

            <h5 id="user1" class="card-header">Livros</h5>

            <br></br>

            <h:form>
                <p:panelGrid columns="3" id="painelLivros" >
                    <p:outputLabel value="Id:" for="id" />
                    <p:inputText id="id" value="#{livroBean.livro.id}" readonly="true"/>
                    <p:message for="id" />

                    <p:outputLabel value="Imagem:" for="imagem" />
                    <p:inputText id="imagem" value="#{livroBean.livro.imagem}" maxlength="100" required="true" placeholder="Ex: Imagem"/>                                               
                    <p:message for="imagem" /> 

                    <p:outputLabel value="Titulo:" for="titulo" />
                    <p:inputText id="titulo" value="#{livroBean.livro.titulo}" maxlength="100" required="true" placeholder="Ex: Titulo"/>                                               
                    <p:message for="titulo" /> 

                    <p:outputLabel value="Autor:" for="autor" />
                    <p:inputText id="autor" value="#{livroBean.livro.autor}"  maxlength="100"  required="true" placeholder="Ex: Autor" />
                    <p:message for="autor" />

                    <p:outputLabel value="Preço Antigo:" for="precoAntigo" />
                    <p:inputMask id="precoAntigo" value="#{livroBean.livro.precoAntigo}" mask="99.99" placeholder="Ex: $$.$$" required="true"></p:inputMask>
                    <p:message for="precoAntigo" />

                    <p:outputLabel value="Preço Novo:" for="precoNovo" />
                    <p:inputMask id="precoNovo" value="#{livroBean.livro.precoNovo}" mask="99.99" placeholder="Ex: $$.$$" required="true"></p:inputMask>
                    <p:message for="precoNovo"/>

                    <p:outputLabel value="Páginas:" for="paginas" />
                    <p:inputText id="paginas" value="#{livroBean.livro.paginas}" maxlength="10"   placeholder="Ex: Páginas"> </p:inputText>
                    <p:message for="paginas" /> 

                    <p:outputLabel value="Tamanho:" for="tamanho" />
                    <p:inputText id="tamanho" value="#{livroBean.livro.tamanho}" placeholder="Ex: Tamanho"> </p:inputText>
                    <p:message for="tamanho" />
                </p:panelGrid>

                <br></br>

                <p:commandButton  ajax="false" value="Cadastrar" actionListener="#{livroBean.salvar()}" update="painelLivros"></p:commandButton>

            </h:form>
        </center>


    </h:body>
</html>

